---
search:
  tags:
    - Warehouses
    - DELETE
seo:
  description: >-
    Permanently deletes a warehouse and its… Reference for the DELETE
    /api/v1/{team_slug}/{app_slug}/warehouses/{warehouse_slug} endpoint in the
    Management API.
sidebar:
  label: Delete a warehouse
  badge: DELETE
title: Delete a warehouse
type: openapi-operation
---
Permanently deletes a warehouse and its associations. This action cannot be undone and will remove all market relationships.

`DELETE /api/v1/{team_slug}/{app_slug}/warehouses/{warehouse_slug}`

**Responses**

- `200` — Warehouse deleted
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": "string",
  "details": [
    "string"
  ],
  "success": true
}
```
